Exodus Help
Exodus  -   Version 1.1

Copyright © 1992-1993 Independent Assemblies

Introduction
Installation
Procedures
Menu Commands
History
Registration
Copyright


Introduction

Exodus
Version 1.1

Exodus is a Windows exiting utility. It allows you to quickly exit Windows in one of four convenient ways.

Exit Windows
Restart Windows
Exit, Run, Restart
Exit and Reboot

All programs are allowed to go through their normal exiting procedures when Exodus exits.

Exodus can be accessed the following three ways:

- Running the Program. Run it the way you would any program. Then you can exit using either the pulldown menu or the buttons.
- Command Line. Run it with a command after it on the command line. The Exodus window will never appear, it just exits the appropriate way. This can be helpful for calling Exodus from another program.
- DDE Link. Another program can establish a DDE link with Exodus and send it an exit command.

For more information, see Procedures in the main menu.


Installation

Exodus should come with three files.

Exodus.exe 	Main executable
Exodus.hlp 	Help file
Exodus.txt 	Read me text file

If you do not receive all of these files contact Independent Assemblies.

Put all the files into any directory making sure they are all in the same directory. Exodus will create EXODUS.INI when it first runs in the directory where EXODUS.EXE is located. Exodus will not write any other files to your disk and it will not alter your system ini files (Win.ini, System.ini,etc.).


Procedures

Exiting
Using the Command Line
Using a DDE Link
Buttons
Stay On Top
Registering Exodus


Menu Commands

File Menu Commands
Help Menu Commands


History

Version 1.0 - March 30, 1993
Initial release

Version 1.1 - April 23, 1993
Remembers last screen location
Added run dialog box
Added Search for Help On... menu item
Writes preferences to EXODUS.INI
Added Stay On Top feature
Added button positioning option


Registration

This fully functional copy of Exodus is distributed as shareware. If you decide to use it after the 21 day evaluation period you must register it. With registration you will recieve you personal serial and registration number which will remove the registration reminder screen. You will also recieve any minor upgrades(1.x) for free.

Registration for this version is: 5$

Check or money order to: Keith Walton

Send to: 	2712 O Street No 16
Sacramento CA 95816

To print out this form select File|Print Topic from the pulldown menu.

Name:
Address:
City/State/Zip:

Registration number sent to you by(Circle one):
US Mail 	Email(Internet or CompuServe) Address:

Likes/Dislikes/Comments:

Thank You for registering Exodus!


Copyright

Exodus - Version 1.1
Copyright © 1992-1993 Independent Assemblies

License Agreement

 You are licensed to:
-Use this Shareware software for a 21 day evaluation period.
-Make as many copies of this software and documentation as you wish.
-Give exact copies of the original to anyone.
-Distribute the software and documentation in its unmodified form via electronic means.
-There is no charge for any of the above.

You are prohibited from:
-Charging, or requesting donations, for any such copies, however made.
-Distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of Exodus after the 21-day evaluation period is in violation of federal copyright laws.


Exodus
Version 1.1 Copyright © 1992-1993 Independent Assemblies


Independent Assemblies
2712 O Street No 16
  Sacramento CA 95816

Voice 	(916) 456-6049
BBS 	(916) 758-0292 (Login:Independent Assemblies  Password:User)
CompuServe 	74650,223
InterNet 	74650.223@compuserve.com
FidoNet 	Windows Conference (Address to Jacob Ian Singer)


File Menu Commands

Exit Windows
 Exits Windows to Dos

Restart Windows
 Exits Windows, returns to Dos, and restarts Windows

Exit, Run, Restart...
 Exits Windows, returns to Dos, runs a Dos program, and returns to Windows when done

Exit and Reboot
 Exits Windows to Dos and reboots your computer

Options

Exit Exodus
 Exits Exodus


Help Menu Commands

Contents
 Opens Exodus Help

Search for Help On...
 Opens the Search dialog box of Exodus Help to allow you to search for a particular topic

How to Use Help
 Opens a Help file with instructions for using Windows Help

 About Exodus...
 Opens the About dialog box with copyright and memory information

* Registration...
 Opens the Registration dialog box to allow you to enter your registration number, serial number, and name.

*Note - Only visible when Exodus is not registered


Registering

After you have registered your copy of Exodus you must enter your name, serial number, and registration number into the Registration Dialog Box. This will mark your copy with your name and serial number and remove the registration reminder dialog at the beginning.


Shareware

Shareware is a method of software distribution in which you get to try the software before you purchase it. After you evaluate the software you can either purchase it by sending in the requested fee, or you can erase it from your computer.


Exiting

Exit Windows
Exit and Restart
Exit, Run, Restart
Exit and Reboot


Command Line

You can exit windows from the command line using Exodus with one of the four command line commands. When Exodus is run in this way, the window never appears and it just goes straight to the exit.

  The command line commands are:

exit	Exit Windows
restart	Restarts Windows

run <file> <switch>	Exit, Run, and Restart. Without <filename> the Open Dialog box prompts you for a file. You must enter a FULL path AND the three letter extension, even if the file is in your path. Switches must be seperated by a space.

reboot 	Exits and Reboots

Examples:
exodus  exit
exodus  restart
exodus  run
exodus  run  c:\dos\myfile.exe  /?
exodus  reboot


DDE Link

Exiting can be achieved through a DDE link to Exodus.

 DDE commands:

Exodus|Exit ! {exit} 	 Exits Windows
Exodus|Exit ! {restart} 	 Exits and restarts
Exodus|Exit ! {run <file> <switch>} 	 Exits, runs a Dos program, and restarts Windows
Exodus|Exit ! {reboot} 	 Exits and reboots

Format: App|Topic ! command


Exit Windows

This is a 'normal' exit. First it will close all open applications. These applications will go through their normal exiting routines. After all applications are closed it exits to Dos.


Exit and Restart

Same as a regular exit, but after it exits to Dos it restarts Windows.


Exit, Run, Restart

Exits Windows normally, then runs the Dos program you have select either on the command line or in the Open Dialog box, then restarts Windows


Exit and Reboot

Exits Windows to Dos and then reboots your computer


Buttons

The buttons can either be displayed horizontally, vertically or not at all depending on what item is checked in the Button Menu. The buttons correspond to their identical counterparts in the File Menu.


Stay On Top

Checking Stay On Top in the Options Menu causes Exodus to remain on top of other normal windows.


Options Menu Commands

Stay On Top
Checked - Exodus remains on top of other normal windows
Unchecked - Exodus behaves normally in relation to other windows

Buttons


Buttons Menu Commands

Horizontal
Buttons are displayed horizontally when checked

Vertical
Buttons are displayed vertically when checked

None
Buttons are not displayed when checked